## ros-humble-tricycle-controller 2.24.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(tricycle_controller LANGUAGES CXX)

if(CMAKE_CXX_COMPILER_ID MATCHES "(GNU|Clang)")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(THIS_PACKAGE_INCLUDE_DEPENDS
  ackermann_msgs
  builtin_interfaces
  controller_interface
  geometry_msgs
  hardware_interface
  nav_msgs
  pluginlib
  rclcpp
  rclcpp_lifecycle
  rcpputils
  realtime_tools
  std_srvs
  tf2
  tf2_msgs
)

find_package(ament_cmake REQUIRED)
find_package(backward_ros REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

add_library(tricycle_controller SHARED
  src/tricycle_controller.cpp
  src/odometry.cpp
  src/traction_limiter.cpp
  src/steering_limiter.cpp
)
target_compile_features(tricycle_controller PUBLIC cxx_std_17)
target_include_directories(tricycle_controller PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/tricycle_controller>
)
ament_target_dependencies(tricycle_controller PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS})

pluginlib_export_plugin_description_file(controller_interface tricycle_controller.xml)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(controller_manager REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  ament_add_gmock(test_tricycle_controller
    test/test_tricycle_controller.cpp
    ENV config_file=${CMAKE_CURRENT_SOURCE_DIR}/test/config/test_tricycle_controller.yaml)
  target_link_libraries(test_tricycle_controller
    tricycle_controller
  )
  ament_target_dependencies(test_tricycle_controller
    geometry_msgs
    hardware_interface
    nav_msgs
    rclcpp
    rclcpp_lifecycle
    realtime_tools
    tf2
    tf2_msgs
  )

  ament_add_gmock(test_load_tricycle_controller
    test/test_load_tricycle_controller.cpp
  )
  target_link_libraries(test_load_tricycle_controller
    tricycle_controller
  )
  ament_target_dependencies(test_load_tricycle_controller
    controller_manager
    ros2_control_test_assets
  )
endif()

install(
  DIRECTORY include/
  DESTINATION include/tricycle_controller
)
install(
  TARGETS
    tricycle_controller
  EXPORT export_tricycle_controller
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

ament_export_targets(export_tricycle_controller HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_package()

=== debian/changelog ===
ros-humble-tricycle-controller (2.24.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 23:00:00 -0000

ros-humble-tricycle-controller (2.23.0-1jammy) jammy; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>) (#677 <https://github.com/ros-controls/ros2_controllers/issues/677>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-tricycle-controller (2.22.0-1jammy) jammy; urgency=high

  * Docs: Use branch name substitution for all links (backport #618 <https://github.com/ros-controls/ros2_controllers/issues/618>) (#633 <https://github.com/ros-controls/ros2_controllers/issues/633>)
  * [Formatting] enable ReflowComments to also use ColumnLimit on comments   (#628 <https://github.com/ros-controls/ros2_controllers/issues/628>)
  * Contributors: Sai Kishor Kothakota, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-tricycle-controller (2.21.0-1jammy) jammy; urgency=high

  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>) (#617 <https://github.com/ros-controls/ros2_controllers/issues/617>)
  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>) (#605 <https://github.com/ros-controls/ros2_controllers/issues/605>)
  * Contributors: Felix Exner (fexner), Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-humble-tricycle-controller (2.20.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-humble-tricycle-controller (2.19.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-humble-tricycle-controller (2.18.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-tricycle-controller (2.17.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-tricycle-controller (2.17.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-humble-tricycle-controller (2.17.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-tricycle-controller (2.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Feb 2023 00:00:00 -0000

ros-humble-tricycle-controller (2.16.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-tricycle-controller (2.16.0-1jammy) jammy; urgency=high

  * Add backward_ros to all controllers (#489 <https://github.com/ros-controls/ros2_controllers/issues/489>) (#493 <https://github.com/ros-controls/ros2_controllers/issues/493>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Jan 2023 00:00:00 -0000

ros-humble-tricycle-controller (2.15.0-1jammy) jammy; urgency=high

  * [TricycleController] Removed “publish period” functionality ⏱ #abi-break #behavior-break (#468 <https://github.com/ros-controls/ros2_controllers/issues/468>)
  * Contributors: Robotgir, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-humble-tricycle-controller (2.14.0-1jammy) jammy; urgency=high

  * Include <string> to fix compilation error on macOS (#467 <https://github.com/ros-controls/ros2_controllers/issues/467>)
  * Contributors: light-tech

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 00:00:00 -0000

ros-humble-tricycle-controller (2.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 23:00:00 -0000

ros-humble-tricycle-controller (2.12.0-1jammy) jammy; urgency=high

  * Fix formatting CI job (#418 <https://github.com/ros-controls/ros2_controllers/issues/418>)
  * Fix formatting because pre-commit was not running on CI for some time. (#409 <https://github.com/ros-controls/ros2_controllers/issues/409>)
  * Contributors: Denis Štogl, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Aug 2022 23:00:00 -0000

ros-humble-tricycle-controller (2.11.0-1jammy) jammy; urgency=high

  * Tricycle controller (#345 <https://github.com/ros-controls/ros2_controllers/issues/345>)
  * Contributors: Bence Magyar, Tony Najjar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Aug 2022 23:00:00 -0000

=== debian/control ===
Source: ros-humble-tricycle-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ackermann-msgs, ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-backward-ros, ros-humble-builtin-interfaces, ros-humble-controller-interface, ros-humble-controller-manager <!nocheck>, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-tricycle-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ackermann-msgs, ros-humble-backward-ros, ros-humble-builtin-interfaces, ros-humble-controller-interface, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-msgs, ros-humble-ros-workspace
Description: Controller for a tricycle drive mobile base

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tricycle-controller//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-tricycle-controller 2.37.0

=== debian/changelog ===
ros-humble-tricycle-controller (2.37.0-1bookworm) bookworm; urgency=high

  * Fix WaitSet issue in tests  (backport #1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>) (#1211 <https://github.com/ros-controls/ros2_controllers/issues/1211>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 16:00:00 -0000

ros-humble-tricycle-controller (2.36.0-1bookworm) bookworm; urgency=high

  * Add mobile robot kinematics 101 and improve steering library docs (#954 <https://github.com/ros-controls/ros2_controllers/issues/954>) (#1160 <https://github.com/ros-controls/ros2_controllers/issues/1160>)
  * Bump version of pre-commit hooks (#1157 <https://github.com/ros-controls/ros2_controllers/issues/1157>) (#1158 <https://github.com/ros-controls/ros2_controllers/issues/1158>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-tricycle-controller (2.35.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 May 2024 16:00:00 -0000

ros-humble-tricycle-controller (2.34.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Mar 2024 16:00:00 -0000

ros-humble-tricycle-controller (2.33.0-1bookworm) bookworm; urgency=high

  * Fix usage of M_PI on Windows (#1036 <https://github.com/ros-controls/ros2_controllers/issues/1036>) (#1037 <https://github.com/ros-controls/ros2_controllers/issues/1037>)
  * Add test_depend on hardware_interface_testing (backport #1018 <https://github.com/ros-controls/ros2_controllers/issues/1018>) (#1019 <https://github.com/ros-controls/ros2_controllers/issues/1019>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-tricycle-controller (2.32.0-1bookworm) bookworm; urgency=high

  * Increase test coverage of interface configuration getters (#856 <https://github.com/ros-controls/ros2_controllers/issues/856>) (#865 <https://github.com/ros-controls/ros2_controllers/issues/865>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-humble-tricycle-controller (2.31.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 10 Jan 2024 16:00:00 -0000

ros-humble-tricycle-controller (2.30.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 19 Dec 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.29.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 04 Dec 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.28.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Nov 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.27.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.26.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.25.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Sep 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.24.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.23.0-1bookworm) bookworm; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>) (#677 <https://github.com/ros-controls/ros2_controllers/issues/677>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.22.0-1bookworm) bookworm; urgency=high

  * Docs: Use branch name substitution for all links (backport #618 <https://github.com/ros-controls/ros2_controllers/issues/618>) (#633 <https://github.com/ros-controls/ros2_controllers/issues/633>)
  * [Formatting] enable ReflowComments to also use ColumnLimit on comments   (#628 <https://github.com/ros-controls/ros2_controllers/issues/628>)
  * Contributors: Sai Kishor Kothakota, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.21.0-1bookworm) bookworm; urgency=high

  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>) (#617 <https://github.com/ros-controls/ros2_controllers/issues/617>)
  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>) (#605 <https://github.com/ros-controls/ros2_controllers/issues/605>)
  * Contributors: Felix Exner (fexner), Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.20.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.19.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.18.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.17.3-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.17.2-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Mar 2023 16:00:00 -0000

ros-humble-tricycle-controller (2.17.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 19 Feb 2023 16:00:00 -0000



=== debian/control ===
Source: ros-humble-tricycle-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ackermann-msgs, ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-backward-ros, ros-humble-builtin-interfaces, ros-humble-controller-interface, ros-humble-controller-manager <!nocheck>, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-hardware-interface-testing <!nocheck>, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-tricycle-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ackermann-msgs, ros-humble-backward-ros, ros-humble-builtin-interfaces, ros-humble-controller-interface, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-msgs, ros-humble-ros-workspace
Description: Controller for a tricycle drive mobile base

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tricycle-controller//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tricycle-controller//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-tricycle-controller//opt/ros/humble/opt/tricycle_controller/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-tricycle-controller 2.37.3

=== debian/changelog ===
ros-humble-tricycle-controller (2.37.3-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-humble-tricycle-controller (2.37.2-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-tricycle-controller (2.37.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Aug 2024 16:00:00 -0000

## ros-humble-tricycle-controller 2.41.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(tricycle_controller LANGUAGES CXX)
 
 if(CMAKE_CXX_COMPILER_ID MATCHES "(GNU|Clang)")
-  add_compile_options(-Wall -Wextra -Wpedantic)
+  add_compile_options(-Wall -Wextra -Wpedantic -Wconversion)
 endif()
 
 set(THIS_PACKAGE_INCLUDE_DEPENDS
@@ -40,6 +40,7 @@
   $<INSTALL_INTERFACE:include/tricycle_controller>
 )
 ament_target_dependencies(tricycle_controller PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS})
+target_compile_definitions(tricycle_controller PRIVATE _USE_MATH_DEFINES)
 
 pluginlib_export_plugin_description_file(controller_interface tricycle_controller.xml)
 
@@ -75,6 +76,12 @@
     controller_manager
     ros2_control_test_assets
   )
+
+  ament_add_gmock(test_traction_limiter
+    test/test_traction_limiter.cpp)
+  target_link_libraries(test_traction_limiter
+    tricycle_controller
+  )
 endif()
 
 install(

=== debian/changelog ===
ros-humble-tricycle-controller (2.41.0-1jammy) jammy; urgency=high

  * Remove empty on_shutdown() callbacks (backport #1477 <https://github.com/ros-controls/ros2_controllers/issues/1477>) (#1482 <https://github.com/ros-controls/ros2_controllers/issues/1482>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Jan 2025 00:00:00 -0000

ros-humble-tricycle-controller (2.40.0-1jammy) jammy; urgency=high

  * Use the .hpp headers from realtime_tools package (backport #1406 <https://github.com/ros-controls/ros2_controllers/issues/1406>) (#1427 <https://github.com/ros-controls/ros2_controllers/issues/1427>)
  * [CI] Add clang job and setup concurrency (backport #1407 <https://github.com/ros-controls/ros2_controllers/issues/1407>) (#1418 <https://github.com/ros-controls/ros2_controllers/issues/1418>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 01 Jan 2025 00:00:00 -0000

ros-humble-tricycle-controller (2.39.0-1jammy) jammy; urgency=high

  * TractionLimiter: Fix wrong input checks (#1341 <https://github.com/ros-controls/ros2_controllers/issues/1341>) (#1366 <https://github.com/ros-controls/ros2_controllers/issues/1366>)
  * Update maintainers and add url tags (#1363 <https://github.com/ros-controls/ros2_controllers/issues/1363>) (#1364 <https://github.com/ros-controls/ros2_controllers/issues/1364>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 03 Dec 2024 00:00:00 -0000

ros-humble-tricycle-controller (2.38.0-1jammy) jammy; urgency=high

  * Added -Wconversion flag and fix warnings (#667 <https://github.com/ros-controls/ros2_controllers/issues/667>) (#1321 <https://github.com/ros-controls/ros2_controllers/issues/1321>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Nov 2024 00:00:00 -0000

ros-humble-tricycle-controller (2.37.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 23:00:00 -0000

ros-humble-tricycle-controller (2.37.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 23:00:00 -0000

ros-humble-tricycle-controller (2.37.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Aug 2024 23:00:00 -0000

ros-humble-tricycle-controller (2.37.0-1jammy) jammy; urgency=high

  * Fix WaitSet issue in tests  (backport #1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>) (#1211 <https://github.com/ros-controls/ros2_controllers/issues/1211>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 23:00:00 -0000

ros-humble-tricycle-controller (2.36.0-1jammy) jammy; urgency=high

  * Add mobile robot kinematics 101 and improve steering library docs (#954 <https://github.com/ros-controls/ros2_controllers/issues/954>) (#1160 <https://github.com/ros-controls/ros2_controllers/issues/1160>)
  * Bump version of pre-commit hooks (#1157 <https://github.com/ros-controls/ros2_controllers/issues/1157>) (#1158 <https://github.com/ros-controls/ros2_controllers/issues/1158>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jul 2024 23:00:00 -0000

ros-humble-tricycle-controller (2.35.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 May 2024 23:00:00 -0000

ros-humble-tricycle-controller (2.34.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Mar 2024 23:00:00 -0000

ros-humble-tricycle-controller (2.33.0-1jammy) jammy; urgency=high

  * Fix usage of M_PI on Windows (#1036 <https://github.com/ros-controls/ros2_controllers/issues/1036>) (#1037 <https://github.com/ros-controls/ros2_controllers/issues/1037>)
  * Add test_depend on hardware_interface_testing (backport #1018 <https://github.com/ros-controls/ros2_controllers/issues/1018>) (#1019 <https://github.com/ros-controls/ros2_controllers/issues/1019>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 00:00:00 -0000

ros-humble-tricycle-controller (2.32.0-1jammy) jammy; urgency=high

  * Increase test coverage of interface configuration getters (#856 <https://github.com/ros-controls/ros2_controllers/issues/856>) (#865 <https://github.com/ros-controls/ros2_controllers/issues/865>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 20 Jan 2024 00:00:00 -0000

ros-humble-tricycle-controller (2.31.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 11 Jan 2024 00:00:00 -0000

ros-humble-tricycle-controller (2.30.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Dec 2023 00:00:00 -0000

ros-humble-tricycle-controller (2.29.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 05 Dec 2023 00:00:00 -0000

ros-humble-tricycle-controller (2.28.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 30 Nov 2023 00:00:00 -0000

ros-humble-tricycle-controller (2.27.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 14 Nov 2023 00:00:00 -0000

ros-humble-tricycle-controller (2.26.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Oct 2023 23:00:00 -0000

ros-humble-tricycle-controller (2.25.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Sep 2023 23:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), ros-humble-ackermann-msgs, ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-backward-ros, ros-humble-builtin-interfaces, ros-humble-controller-interface, ros-humble-controller-manager <!nocheck>, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-hardware-interface-testing <!nocheck>, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-msgs, ros-humble-ros-workspace
-Homepage: 
+Homepage: https://control.ros.org
 Standards-Version: 3.9.2
 
 Package: ros-humble-tricycle-controller
